disp('====================');
disp('       3      ');
disp('--------------------');

clear all
p= Ber(0.4,3),plot(0:3,p)
k=0:6;plot(k,p_Poisson(0.8,k),k,p_Poisson(4.5,k),k,p_Poisson(3,k))
k=0:10;k1=1:10;p=0.4;q=1-p;g=q.^k*p;g1=q.^(k1-1)*p; 
plot(k,g,'r--',k1,g1,'b.-'),legend('g=q^kp','g1=q^k^-^1p')
N=1000;R=100;M=20;k=0:10;plot(k,Sampling(N,R,M,k),k,Ber(R/N,M,k))
N=50;    R=5;                           plot(k,Sampling(N,R,M,k),k,Ber(R/N,M,k))

clear all
L=10;x=0:0.01:1;z=[-0.1, x, 1.1]*L;u=x*L;
F=[0,asin(x)*2/pi,1]; f=2/L./(pi*sqrt(1-x(1:end-1).^2));
plot(z,F,u(1:end-1),f),grid
f(end+1)=(1-Trap(f,u(1:end-1)))*2/0.1-f(end);   Trap(f,u)
X=Gen('bin',0.4,6,15),  Y=Gen('bin',6,0.4,15)
R1=Rect(2,5);R2=Rect(6,2,[3;2]);C1=Circ([2;0],2);C2=C1+[2;-1];
Z=Union(R1,R2); S1=Sect(C1,C2); S2=Sect(Z,C1); 
a=Gen('rnd',Z,500);c1=Gen('rnd',S1,300); c2=Gen('rnd',S2,200);
ShowAll(R1,R2,C1,C2,Z,'r',S1,a,'r.',c1,'k.',S2,'Fc',c2,'k.')

clear all
L=10;x=0:0.01:1;z=[-0.1, x, 1.1]*L;u=x*L;F=[0,asin(x)*2/pi,1]; f=2/L./(pi*sqrt(1-x(1:end-1).^2));ft=f;
L=10; N=20; x=rand(1,N)*pi/2;X=sort(sin(x))*L;
y=[0 X];y=sort([y,y]);z=(0:N)/N;Z=[z;z];Z=Z(:)';plot(y(2:end),Z(1:end-1), u, F(2:end-1))
L=10; N=100; x=rand(1,N)*pi/2;X=sin(x)*L; h=(1:L)-0.5,m=hist(X,h)
Xs=sort(X);Xs(1:15)
f1=m/N; bar(h,f1,1,'w'), hold on, plot(u(2:end),ft)
X=L*sin(rand(1,10000)*pi/2);[Fs,fs,H]=SmartHist(X,[0 10],10,10);Show(H,'w'),hold on, plot(u(2:end),f)
M=mean(X),Mx=dot(H.x, H.p)
[F,f,H]=SmartHist(X,[0 10],30,10);Show(H,'g',f,'g',[u(2:end);ft*H.h],'r--'), hold on
[F,f,H]=SmartHist(X,[0 10],50,20);Show(H,'b',f,'b',[u(2:end);ft*H.h],'r--')
[F,f,H]=SmartHist(X);Show(H,'w',f,'k',[u(2:end);ft*H.h], 'r--')
[v,fs]=SmartHist(X,[0 10],20); plot(v.x,v.F,y(2:end), Z(1:end-1))
[F,f]=SmartHist(Gen('bin',6,0.3,9000),[],20);  Show(f,F,'r', [0:6; Ber(0.3,6)],'o')

clear all
A=Rect(20,10);B=Rect(6,4);b=MySize(B);A1=A-b;A0=A+b;D=Rect(30,20);SA=Area(A)
Show(A,'h', A1,'k-.', A0, 'k-.', D, B, 'Fc')
Z=moveTo(B,[-10;-5]); U=Sect(A,Z); Show(U,'HFCc',Z,A')
N=100;X=Gen('rnd',D,N);
Z=moveTo(B,X);for i=1:30 T=Sect(A,Z{i});Show(Z{i},'Hr',T,'Fc'); end
S=[];       for i=1:N T=Sect(A,Z{i}); S(i)=Area(T); end 
S=S/SA; [F,f,H]=SmartHist(S,[],30); Show(H, 501, F, 502)
A=Circ(10);B= Circ(3);D=Circ(15);X=Gen('rnd',D,50);
clear all
A=Circ(10);B= Circ(3);D=Circ(15);X=Gen('rnd',D,50);
b=MySize(B);A1=A-b;A0=A+b;SA=Area(A);
Show(A,'h', A1,'k-.', A0, 'k-.', D, B, 'Fc')
Z=moveTo(B,[-10;-5]); U=Sect(A,Z); Show(U,'HFCc',Z,A')
N=100;X=Gen('rnd',D,N);
Z=moveTo(B,X);for i=1:30 T=Sect(A,Z{i});Show(Z{i},'Hr',T,'Fc'); end
S=[];       for i=1:N T=Sect(A,Z{i}); S(i)=Area(T); end 
S=S/SA; [F,f,H]=SmartHist(S,[],30); Show(H, 501, F, 502)

disp('^^^^^^^^^^^^^^^^^^^^');
disp('    3   ');
disp('vvvvvvvvvvvvvvvvvvvv');
disp('                    ');
