disp('====================');
disp('       5      ');
disp('--------------------');

clear all
L=1;N=1000;n=10;B=Gen('exp',L,n,N); minB=min(B); maxB=max(B);
[F,f,H,K]=SmartHist(minB,[],20);Show(K),hold on,plot(H.x,1-exp(-L*n.*H.x), 'g')
[F,f,H,K]=SmartHist(maxB,[],20);figure,Show(K), hold on,plot(F.x,F.F,'r')
[Fun,Par,err]=ApproxLaw('Ray',F); plot(K.x,Fun(K.x,Par),'g')
[Fun,Par,err]=ApproxLaw('norm',F); plot(K.x,Fun(K.x,Par),'b')
L=1;N=1000;n=10;B=Gen('exp',L,n,N);  S='sum(U(1:4))*sum(U(5:8))*(U(9)+U(10))';
b=[]; for i=1:N U=RabLog(B(:,i));b(i)=Value(eval(S));end,[F,f,H,K]=SmartHist(b,[],50);
[Fun,Par]=Approx('1-exp(-(x*L(1)).^L(2))',F.x, F.F ,[1 1])
Lam=prod(Par).*(Par(1)*f.x).^(Par(2)-1) ; ff=Lam.*exp(-(Par(1)*f.x).^Par(2)); 
Show(F,'k', f,'k'), FF=Fun(f.x,Par); hold on,plot(f.x, FF,  'r', f.x, ff, 'r')
m=mean(b),s=std(b)
[m,D,s]=MDS('Wei',Par); m, s
plot(f.x(1:30),f.f(1:30)./(1-F.F(1:30))/3, 'g', f.x,ff./(1-FF)/3)

clear all
R=Rab('exp',1.1,'exp',1.2,'exp',2.7,1,'exp',1.5,1,1.4,0.9,'exp',1.6,3); [Law,P]=EqLaw(R)
R1=Add(R,'exp',1.1,'exp',1.2,'exp',2.7,1,'exp',1.5,1,1.4,0.9,'exp',1.6,3);
R2=Add(R,'Wei',P); R3=Rab('Wei',P,'Wei',P);
[L1,P1]=EqLaw(R1); [L2,P2]=EqLaw(R2); [L3,P3]=EqLaw(R3); P,P1,P2,P3
R1

clear all
A=[];for i=1:10 a=MassModel({'exp',1},{'exp',1/0.99},10^3);A(i)=mean(a);end;T=mean(A) 
A=[];for i=1:10 a=MassModel({'exp',1},{'const',1/0.99},10^3);A(i)=mean(a);end;T=mean(A) 
t=[0:0.2:1,1.5:0.5:5]; L=1;m=0.5;v=L+m; P0=m/v+L/v*exp(-v*t);
a= MassDyn({'exp',L},{' exp',m},10^3,1,0,t); plot(t(1:length(a)),a, t,P0,'k--')

clear all
x=0:0.001:0.477; P=2/sqrt(pi)*Trap(exp(-x.^2),x)
2*F_LaplasV(1:3)
2*F_LaplasV([1:4]*(0.477*sqrt(2)))

clear all
x=-3:0.1:3;plot(x, P_Gauss(x), x,F_LaplasV(x), x,2*F_LaplasV(0.477*sqrt(2)*x))
m=2;s=3;x=-10:0.1:10; plot(x,f_Gauss((x-m)/s)/s)
X.m=2;X.s=3;x=-10:0.1:10; plot(x,f_Norm(X,x))
X=Norm_1(3,2); p=Ver(X,3,3+2*sqrt(2)*0.477)
N=10000;t=Gen(X,N);p=sum(t>3 & t<3+2*sqrt(2)*0.477)/N

disp('^^^^^^^^^^^^^^^^^^^^');
disp('    5   ');
disp('vvvvvvvvvvvvvvvvvvvv');
disp('                    ');
